Generates a detailed operating statement (Profit and Loss) for the fund based on the provided input criteria.
Security
Class_oAuth(Required scopes: fund.read)
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/accounting-reports/operating-statement-document
- Production Environmenthttps://api.class.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/accounting-reports/operating-statement-document
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/operating-statement-document?startDate=2024-07-01&endDate=2025-06-30&prevStartDate=2023-07-01&prevEndDate=2024-06-30&isSummary=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "Data": { "FundName": "DEMO_SMSF", "FundCode": "DEMO_SMSF", "Period": { "StartPeriodDate": "2025-07-01", "EndPeriodDate": "2026-06-30", "IsEmpty": false, "IsPopulated": true, "NumberOfDaysContained": 365 }, "PreviousPeriod": { "StartPeriodDate": "2024-07-01", "EndPeriodDate": "2025-06-30", "IsEmpty": false, "IsPopulated": true, "NumberOfDaysContained": 366 }, "IncludesPrevYear": true, "IncomeItems": [ { "Id": "member_receipts", "Description": "Member Receipts", "TotalValue": 43.22, "TotalValuePrevYear": 0, "Depth": 1, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "rollovers_in", "Description": "Rollovers In", "TotalValue": 1.22, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "contributions", "Description": "Contributions", "TotalValue": 42, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "member", "Description": "Member", "TotalValue": 7, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "child", "Description": "Child", "TotalValue": 5, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "spouse", "Description": "Spouse", "TotalValue": 6, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "government_co-contributions", "Description": "Government Co-Contributions", "TotalValue": 7, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "family_home_downsizing", "Description": "Downsizer Contribution", "TotalValue": 8, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "other_contributions", "Description": "Other", "TotalValue": 9, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "investment_gains", "Description": "Investment Gains", "TotalValue": 60.22, "TotalValuePrevYear": 0, "Depth": 1, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "investment_income", "Description": "Investment Income", "TotalValue": 391, "TotalValuePrevYear": 0, "Depth": 1, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "foreign_income", "Description": "Foreign Income", "TotalValue": 78, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "foreign_income.ForeignIncome.ForeignDividend", "Description": "Foreign Dividend", "TotalValue": 18, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null }, { "Id": "foreign_income.ForeignIncome.ForeignInterest", "Description": "Foreign Interest", "TotalValue": 19, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null }, { "Id": "foreign_income.ForeignIncome.NonTaxableForeignIncome", "Description": "Non Taxable Foreign Income", "TotalValue": 20, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null }, { "Id": "foreign_income.ForeignIncome.TaxableForeignIncome", "Description": "Taxable Foreign Income", "TotalValue": 21, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null }, { "Id": "other_income", "Description": "Other Income", "TotalValue": 207, "TotalValuePrevYear": 0, "Depth": 1, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null } ], "ExpenseItems": [ { "Id": "member_payments", "Description": "Member Payments", "TotalValue": 243, "TotalValuePrevYear": 0, "Depth": 1, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "lump_sums_paid", "Description": "Lump Sums Paid", "TotalValue": 38, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "pensions_paid", "Description": "Pensions Paid", "TotalValue": 39, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "property_expenses_expense", "Description": "Property Expenses", "TotalValue": 2047, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "property_expenses_expense.PropertyExpenses.Advertising", "Description": "Advertising", "TotalValue": 78, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null }, { "Id": "property_expenses_expense.PropertyExpenses.Rates", "Description": "Council Rates", "TotalValue": 81, "TotalValuePrevYear": 0, "Depth": 3, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null } ], "IncomeTaxItems": [ { "Id": "income_tax_control", "Description": "Income Tax Expense", "TotalValue": 215, "TotalValuePrevYear": 0, "Depth": 1, "TotalValueIsSummary": true, "TotalValuePrevYearIsSummary": true, "FundNotesReferenceNumber": null }, { "Id": "income_tax_expense", "Description": "Income Tax Expense", "TotalValue": 107, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null }, { "Id": "excessive_foreign_tax_credit_writeoff_expense", "Description": "Excessive Foreign Tax Credit Writeoff Expense", "TotalValue": 108, "TotalValuePrevYear": 0, "Depth": 2, "TotalValueIsSummary": false, "TotalValuePrevYearIsSummary": false, "FundNotesReferenceNumber": null } ] }, "Errors": null }